GET
/control/v1/activity/{request_id}

Path Parameters

request_id*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/control/v1/activity/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "string",
  "status": "pending",
  "model": "string",
  "custom_id": "string",
  "type": "standalone",
  "batch_id": "string",
  "stream_id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "completed_at": "2019-08-24T14:15:22Z",
  "prompt_tokens": 0,
  "completion_tokens": 0,
  "total_tokens": 0,
  "cached_prompt_tokens": 0,
  "cost_micros": 0,
  "body_json": {},
  "result_json": {},
  "error_json": {}
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/control/v1/activity

Query Parameters

page?integer
Default1
Range1 <= value
page_size?integer
Default25
Range1 <= value <= 100
type?string|null
status?string|null
model?string|null
created_after?string|null
created_before?string|null
api_key_id?|

Filter activity to one API key

user_id?|

Team admins: filter activity to one member

Response Body

application/json

application/json

curl -X GET "https://example.com/control/v1/activity"
{
  "items": [
    {
      "id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "completed_at": "2019-08-24T14:15:22Z",
      "status": "pending",
      "model": "string",
      "custom_id": "string",
      "type": "standalone",
      "batch_id": "string",
      "stream_id": "string",
      "prompt_tokens": 0,
      "completion_tokens": 0,
      "total_tokens": 0,
      "cached_prompt_tokens": 0,
      "cost_micros": 0,
      "error": {},
      "api_key_id": "string",
      "api_key_name": "string",
      "api_key_prefix": "string"
    }
  ],
  "page": 0,
  "page_size": 0,
  "total": 0
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/control/v1/activity/models

Query Parameters

user_id?|

Team admins: filter models to one member

Response Body

application/json

application/json

curl -X GET "https://example.com/control/v1/activity/models"
[
  "string"
]
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}